//
// C++ Interface: alloyonbutton
//
// Description:
//
//
// Author: Simon Ask Ulsnes <simon@ulsnes.dk>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ALLOYONBUTTON_H
#define ALLOYONBUTTON_H

#include <qbutton.h>

#include "alloyonclient.h"
#include "enums.h"

class AlloyonClient;

/**
@author Simon Ask Ulsnes
*/
class AlloyonButton : public QButton
{
Q_OBJECT
public:
	AlloyonButton(AlloyonClient *parent = 0, const char *name = 0, const QString &tip=NULL, ButtonType type = (ButtonType)0);
	~AlloyonButton();

	void setTipText(const QString &tip);

	void setOnAllDesktops(bool oad)	{ isOnAllDesktops = oad; repaint(false); }
	void setMaximized(bool max) { isMaximized = max; repaint(false); }
	QSize sizeHint() const;
	int lastMousePress() const { return m_lastMouse; }
	void reset() { repaint(false); }
	AlloyonClient* client() { return m_client; }

private:
	void enterEvent(QEvent *e);
	void leaveEvent(QEvent *e);
	void mousePressEvent(QMouseEvent *e);
	void mouseReleaseEvent(QMouseEvent *e);
	void drawButton(QPainter *painter);

	AlloyonClient *m_client;
	int m_lastMouse;
	ButtonType m_type;
	bool hover;
	bool isOnAllDesktops, isMaximized;
};

#endif
