//
// C++ Interface: alloyonhandler
//
// Description:
//
//
// Author: Simon Ask Ulsnes <simon@ulsnes.dk>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ALLOYONHANDLER_H
#define ALLOYONHANDLER_H

#include <kdecorationfactory.h>
#include <kdecoration.h>
#include <qobject.h>
#include <kconfig.h>

// Default button layout
const char default_left[]  = "M";
const char default_right[] = "HIAX";

/**
@author Simon Ask Ulsnes
*/
class AlloyonHandler : public QObject, public KDecorationFactory
{
Q_OBJECT
public:
	AlloyonHandler();
	~AlloyonHandler();
	virtual bool reset(unsigned long changed);

	virtual KDecoration* createDecoration(KDecorationBridge*);

	static bool initialized() { return m_initialized; }
	static bool titleShadow() { return m_titleShadow; }
	static int titleShadowSize() { return m_titleShadowSize; }
	static int borderSize() { return m_borderSize; }
	static int buttonSize() { return m_buttonSize; }
	static int buttonSpacing() { return m_buttonSpacing; }
	static int titleSize() { return m_titleSize; }
	static bool redCloseButton() { return m_redCloseButton; }

private:
	void readConfig();
	static bool m_titleShadow;
	static int m_titleShadowSize;
	static int m_borderSize;
	static int m_buttonSize;
	static int m_titleSize;
	static int m_buttonSpacing;
	static bool m_initialized;
	static bool m_redCloseButton;
};

#endif
