//
// Author: Simon Ask Ulsnes <simon@ulsnes.dk>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef PIXMAPS_H
#define PIXMAPS_H

#include <qpixmap.h>
#include <qpainter.h>

class Pixmaps
{
public:
	static QPixmap *active_button_common_normal;
	static QPixmap *active_button_common_hover;
	static QPixmap *active_button_common_sunken;
	static QPixmap *active_button_close_normal;
	static QPixmap *active_button_close_hover;
	static QPixmap *active_button_close_sunken;

	static QPixmap *inactive_button_common_normal;
	static QPixmap *inactive_button_common_hover;
	static QPixmap *inactive_button_common_sunken;
	static QPixmap *inactive_button_close_normal;
	static QPixmap *inactive_button_close_hover;
	static QPixmap *inactive_button_close_sunken;

	static QPixmap *active_titlebar;
	static QPixmap *active_titlebar_left;
	static QPixmap *active_titlebar_right;
	static QPixmap *inactive_titlebar;
	static QPixmap *inactive_titlebar_left;
	static QPixmap *inactive_titlebar_right;

	static QPixmap *active_resizer_detail_5px;   // 5 px border
	static QPixmap *inactive_resizer_detail_5px; // 5 px border
	static QPixmap *active_resizer_detail_4px;   // 4 px border
	static QPixmap *inactive_resizer_detail_4px; // 4 px border

	static bool pixmapsCreated;

	static void createPixmaps();
	static void deletePixmaps();

	static void drawButton(QPainter* painter, QColor& color, QColor& blendColor, int state, bool active = true);

	static QColor hsvRelative(QColor& baseColor, int relativeH, int relativeS, int relativeV);
};

#endif
